### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class FailoverCluster

java.lang.Object
com.sas.services.connection.Cluster
com.sas.services.connection.FailoverCluster

All Implemented Interfaces:
  `Serializable`, `Cloneable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class FailoverCluster extends Cluster
A failover cluster of IOM servers. A failover cluster is a set of redundant servers that is configured such that, if one server fails, another can take it's place. For the connection factory, the failover feature is only employed at the time a connection is made. If a connection attempt to one server fails, another server in the cluster is tried. If an existing connection fails unexpectedly, there is no attempt to move the connection to another server.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.connection.Cluster

  `TYPE_FAILOVER, TYPE_LOAD_BALANCING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FailoverCluster(Server server)`
  Construct a failover cluster with one server.
  `FailoverCluster(Server[] servers)`
  Construct a failover cluster of IOM servers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `computeMaxClients()`
  `int`
  `getClusterType()`
  Get the cluster type.

  ### Methods inherited from class com.sas.services.connection.Cluster

  `clone, equals, getAuthService, getClassID, getDomain, getEntryPoint, getInstance, getMaxClients, getServerArray, hashCode, isSecurityPackageAllowed, setServerArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FailoverCluster

    public FailoverCluster(Server server)
    Construct a failover cluster with one server. This constructor is a shortcut for the following more complicated code:

         FailoverCluster(new Server[]{server})

    Parameters:
      `server` - the server to add to the cluster

  - ### FailoverCluster

    public FailoverCluster(Server[] servers)
    Construct a failover cluster of IOM servers.
    Parameters:
      `servers` - the servers to add to the cluster.

- ## Method Details

  - ### getClusterType

    public int getClusterType()
    Get the cluster type. This method always returns `Cluster.TYPE_FAILOVER`.
    Specified by:
      `getClusterType` in class `Cluster`
    Returns:
      the cluster type
    See Also:
      - `Cluster.TYPE_FAILOVER`

  - ### computeMaxClients

    protected int computeMaxClients()
    Specified by:
      `computeMaxClients` in class `Cluster`